
-- REPLACE <<SPID>> with the session id which runs the INSERT .. SELECT and INSERT .. EXEC


CREATE EVENT SESSION [SELECTvsEXEC] ON SERVER 
ADD EVENT sqlos.wait_info(
    WHERE ([sqlserver].[session_id]=(<<SPID>>))),
ADD EVENT sqlos.wait_info_external(
    ACTION(sqlserver.is_system,sqlserver.session_id)
    WHERE ([package0].[equal_uint64]([sqlserver].[session_id],(<<SPID>>)))),
ADD EVENT sqlserver.sql_batch_completed(
    WHERE ([package0].[equal_uint64]([sqlserver].[session_id],(<<SPID>>))))
ADD TARGET package0.ring_buffer(SET max_events_limit=(100000),max_memory=(1048576))
WITH (MAX_MEMORY=4096 KB,EVENT_RETENTION_MODE=ALLOW_SINGLE_EVENT_LOSS,MAX_DISPATCH_LATENCY=30 SECONDS,MAX_EVENT_SIZE=0 KB,MEMORY_PARTITION_MODE=NONE,TRACK_CAUSALITY=OFF,STARTUP_STATE=OFF)
GO
